package com.iconplus.smartproc.repository;

import com.iconplus.smartproc.model.entity.RksTemplateVariabel;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface RksTemplateVariabelRepository extends JpaRepository<RksTemplateVariabel, Long> {

    Optional<RksTemplateVariabel> findByVariableNameAndIsDeleteFalse(String variabel);

    Optional<RksTemplateVariabel> findByIdAndIsDeleteFalse(Long id);

    Page<RksTemplateVariabel> findByRksTemplateIdAndIsDeleteFalse(Long id, Pageable pageable);
}
